import { takeLatest } from 'redux-saga/effects'
import {
  {{ redux_constant name }}_FETCH,
  {{ redux_constant name }}_SAVE
} from '../constants'
import fetch from './fetch.saga'
import save from './save.saga'

export default function* {{ camelCase name }}Saga() {
  yield takeLatest({{ redux_constant name }}_FETCH, fetch)
  yield takeLatest({{ redux_constant name }}_SAVE, save)
}
